Skip to main content
Python

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

projectId
string<uuid>
required

The project id.

Body

application/json
projectId
any
required
storageUri
string
required
write-only

The storage URI where the commit bundle is stored.

Example:

"s3://..."

commit
object
required

The details of a commit (project version).

deploymentStatus
string

The deployment status associated with the commit's model.

Maximum string length: 30
Example:

"Deployed"

archived
boolean | null

Whether the commit is archived.

Example:

false

Response

Status OK.

id
string<uuid>
required
read-only

The project version (commit) id.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

dateCreated
string<date-time>
required
read-only

The project version (commit) creation date.

Example:

"2024-03-22T11:31:01.185Z"

status
enum<string>
required
read-only

The commit status. Initially, the commit is queued, then, it switches to running. Finally, it can be paused, failed, or completed.

Available options:
queued,
running,
paused,
failed,
completed,
unknown
Example:

"completed"

statusMessage
string | null
required
read-only

The commit status message.

Example:

"Commit successfully processed."

projectId
any
required
commit
object
required

The details of a commit (project version).

mlModelId
string<uuid> | null
required
read-only

The model id.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

validationDatasetId
string<uuid> | null
required
read-only

The validation dataset id.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

trainingDatasetId
string<uuid> | null
required
read-only

The training dataset id.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

dateArchived
string<date-time> | null
required
read-only

The commit archive date.

Example:

"2024-03-22T11:31:01.185Z"

passingGoalCount
integer
required
read-only

The number of tests that are passing for the commit.

Required range: x >= 0
Example:

5

failingGoalCount
integer
required
read-only

The number of tests that are failing for the commit.

Required range: x >= 0
Example:

1

totalGoalCount
integer
required
read-only

The total number of tests for the commit.

Required range: x >= 0
Example:

6

deploymentStatus
string

The deployment status associated with the commit's model.

Maximum string length: 30
Example:

"Deployed"

archived
boolean | null

Whether the commit is archived.

Example:

false